
set( larana_VERSION 04.14.00 )
set( larana_UPS_VERSION v04_14_00 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( larcore v1_00_00 )
    find_ups_product( art v1_09_00 )
    find_ups_product( cppunit v1_12_1a )
    find_ups_product( gccxml v0_9_20140718a )
    find_ups_product( clhep v2_2_0_3 )
    find_ups_product( cetpkgsupport v1_08_03 )
    find_ups_product( cetlib v1_08_00 )
    find_ups_product( cpp0x v1_03_02 )
    find_ups_boost( v1_50_0 )
    find_ups_product( fhiclcpp v3_06_00 )
    find_ups_product( sqlite v3_07_15_00 )
    find_ups_product( messagefacility v1_14_01 )
    find_ups_root( v5_34_20 )
    find_ups_product( tbb v4_1 )
    find_ups_product( lardata v1_00_00 )
    find_ups_product( nutools v1_00_00 )
    find_ups_product( genie v2_8_0 )
    find_ups_product( libwda v2_21_0 )
    find_ups_product( postgresql v9_1_0 )
    find_ups_product( larevt v1_00_00 )
    find_ups_product( larsim v1_00_00 )
    find_ups_product( artextensions v1_00_01 )
    find_ups_product( geant4 geant4 )
    find_ups_product( xerces_c v3_0_0 )
    find_ups_product( larreco v1_00_00 )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT XERCESC )
      cet_find_library( XERCESC NAMES xerces-c PATHS ENV XERCES_C_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4FR )
      cet_find_library( G4FR NAMES G4FR PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GMOCREN )
      cet_find_library( G4GMOCREN NAMES G4GMocren PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4OPENGL )
      cet_find_library( G4OPENGL NAMES G4OpenGL PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4RAYTRACER )
      cet_find_library( G4RAYTRACER NAMES G4RayTracer PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TREE )
      cet_find_library( G4TREE NAMES G4Tree PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VRML )
      cet_find_library( G4VRML NAMES G4VRML PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ANALYSIS )
      cet_find_library( G4ANALYSIS NAMES G4analysis PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4DIGITS_HITS )
      cet_find_library( G4DIGITS_HITS NAMES G4digits_hits PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ERROR_PROPAGATION )
      cet_find_library( G4ERROR_PROPAGATION NAMES G4error_propagation PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4EVENT )
      cet_find_library( G4EVENT NAMES G4event PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GEOMETRY )
      cet_find_library( G4GEOMETRY NAMES G4geometry PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GL2PS )
      cet_find_library( G4GL2PS NAMES G4gl2ps PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GLOBAL )
      cet_find_library( G4GLOBAL NAMES G4global PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GRAPHICS_REPS )
      cet_find_library( G4GRAPHICS_REPS NAMES G4graphics_reps PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4INTERCOMS )
      cet_find_library( G4INTERCOMS NAMES G4intercoms PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4INTERFACES )
      cet_find_library( G4INTERFACES NAMES G4interfaces PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4MATERIALS )
      cet_find_library( G4MATERIALS NAMES G4materials PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4MODELING )
      cet_find_library( G4MODELING NAMES G4modeling PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PARMODELS )
      cet_find_library( G4PARMODELS NAMES G4parmodels PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PARTICLES )
      cet_find_library( G4PARTICLES NAMES G4particles PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PERSISTENCY )
      cet_find_library( G4PERSISTENCY NAMES G4persistency PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PHYSICSLISTS )
      cet_find_library( G4PHYSICSLISTS NAMES G4physicslists PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PROCESSES )
      cet_find_library( G4PROCESSES NAMES G4processes PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4READOUT )
      cet_find_library( G4READOUT NAMES G4readout PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4RUN )
      cet_find_library( G4RUN NAMES G4run PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TRACK )
      cet_find_library( G4TRACK NAMES G4track PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TRACKING )
      cet_find_library( G4TRACKING NAMES G4tracking PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VISHEPREP )
      cet_find_library( G4VISHEPREP NAMES G4visHepRep PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VISXXX )
      cet_find_library( G4VISXXX NAMES G4visXXX PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VIS_MANAGEMENT )
      cet_find_library( G4VIS_MANAGEMENT NAMES G4vis_management PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ZLIB )
      cet_find_library( G4ZLIB NAMES G4zlib PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PYTHIA6 )
      cet_find_library( PYTHIA6 NAMES Pythia6 PATHS ENV PYLIB NO_DEFAULT_PATH )
    endif()
    if( NOT LHAPDF )
      cet_find_library( LHAPDF NAMES LHAPDF PATHS ENV LHAPDF_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT LOG4CPP )
      cet_find_library( LOG4CPP NAMES log4cpp PATHS ENV LOG4CPP_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT XML2 )
      cet_find_library( XML2 NAMES xml2 PATHS /Users/macdev/workspace/nu-release-build/v1_14_05/s15-e7/debug/build/libxml2/v2_9_2/Darwin64bit+14-debug/lib NO_DEFAULT_PATH )
    endif()
    if( NOT CRY )
      cet_find_library( CRY NAMES CRY PATHS ENV CRY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GALGORITHM )
      cet_find_library( GALGORITHM NAMES GAlgorithm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBARYONRESONANCE )
      cet_find_library( GBARYONRESONANCE NAMES GBaryonResonance PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBASE )
      cet_find_library( GBASE NAMES GBase PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBODEKYANG )
      cet_find_library( GBODEKYANG NAMES GBodekYang PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCHARM )
      cet_find_library( GCHARM NAMES GCharm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCOH )
      cet_find_library( GCOH NAMES GCoh PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDFRC )
      cet_find_library( GDFRC NAMES GDfrc PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDIS )
      cet_find_library( GDIS NAMES GDIS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCROSSSECTIONS )
      cet_find_library( GCROSSSECTIONS NAMES GCrossSections PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDECAY )
      cet_find_library( GDECAY NAMES GDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GELAS )
      cet_find_library( GELAS NAMES GElas PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GELFF )
      cet_find_library( GELFF NAMES GElFF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GHEP )
      cet_find_library( GHEP NAMES GHEP PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGCORE )
      cet_find_library( GEVGCORE NAMES GEVGCore PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGMODULES )
      cet_find_library( GEVGMODULES NAMES GEVGModules PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGDRIVERS )
      cet_find_library( GEVGDRIVERS NAMES GEVGDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GGIBUU )
      cet_find_library( GGIBUU NAMES GGiBUU PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GHADRONTRANSP )
      cet_find_library( GHADRONTRANSP NAMES GHadronTransp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFRAGMENTATION )
      cet_find_library( GFRAGMENTATION NAMES GFragmentation PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GINTERACTION )
      cet_find_library( GINTERACTION NAMES GInteraction PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GLLEWELLYNSMITH )
      cet_find_library( GLLEWELLYNSMITH NAMES GLlewellynSmith PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMEC )
      cet_find_library( GMEC NAMES GMEC PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMESSENGER )
      cet_find_library( GMESSENGER NAMES GMessenger PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUGAMMA )
      cet_find_library( GNUGAMMA NAMES GNuGamma PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUE )
      cet_find_library( GNUE NAMES GNuE PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNTUPLE )
      cet_find_library( GNTUPLE NAMES GNtuple PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUCLEAR )
      cet_find_library( GNUCLEAR NAMES GNuclear PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUMERICAL )
      cet_find_library( GNUMERICAL NAMES GNumerical PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GQPM )
      cet_find_library( GQPM NAMES GQPM PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPDG )
      cet_find_library( GPDG NAMES GPDG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPDF )
      cet_find_library( GPDF NAMES GPDF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GQEL )
      cet_find_library( GQEL NAMES GQEL PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GRES )
      cet_find_library( GRES NAMES GRES PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREGISTRY )
      cet_find_library( GREGISTRY NAMES GRegistry PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREINSEGHAL )
      cet_find_library( GREINSEGHAL NAMES GReinSeghal PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GUTILS )
      cet_find_library( GUTILS NAMES GUtils PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GGEO )
      cet_find_library( GGEO NAMES GGeo PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFLUXDRIVERS )
      cet_find_library( GFLUXDRIVERS NAMES GFluxDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMUELOSS )
      cet_find_library( GMUELOSS NAMES GMuELoss PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREWEIGHT )
      cet_find_library( GREWEIGHT NAMES GReWeight PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUCLEONDECAY )
      cet_find_library( GNUCLEONDECAY NAMES GNucleonDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT BOOST_SERIALIZATION )
      cet_find_library( BOOST_SERIALIZATION NAMES boost_serialization PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT BOOST_DATE_TIME )
      cet_find_library( BOOST_DATE_TIME NAMES boost_date_time PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PQ )
      cet_find_library( PQ NAMES pq PATHS ENV POSTGRESQL_LIBRARIES NO_DEFAULT_PATH )
    endif()
      set( CALORIMETRY  $ENV{LARANA_LIB}/libCalorimetry.dylib )
      set( BEZIERCALORIMETRY_MODULE  $ENV{LARANA_LIB}/libBezierCalorimetry_module.dylib )
      set( CALORIMETRY_MODULE  $ENV{LARANA_LIB}/libCalorimetry_module.dylib )
      set( GENERALCALORIMETRY_MODULE  $ENV{LARANA_LIB}/libGeneralCalorimetry_module.dylib )
      set( PRINTCALORIMETRY_MODULE  $ENV{LARANA_LIB}/libPrintCalorimetry_module.dylib )
      set( TRACKCALORIMETRY_MODULE  $ENV{LARANA_LIB}/libTrackCalorimetry_module.dylib )
      set( FLASHHYPOTHESIS  $ENV{LARANA_LIB}/libFlashHypothesis.dylib )
      set( SIMPHOTONCOUNTER  $ENV{LARANA_LIB}/libSimPhotonCounter.dylib )
      set( FLASHHYPOTHESISCOMPARISON  $ENV{LARANA_LIB}/libFlashHypothesisComparison.dylib )
      set( OPFLASHANAALG  $ENV{LARANA_LIB}/libOpFlashAnaAlg.dylib )
      set( OPTICALDETECTOR  $ENV{LARANA_LIB}/libOpticalDetector.dylib )
      set( BEAMFLASHCOMPATIBILITYCHECK_MODULE  $ENV{LARANA_LIB}/libBeamFlashCompatibilityCheck_module.dylib )
      set( BODATAFRAMEINPUT_MODULE  $ENV{LARANA_LIB}/libBoDataFrameInput_module.dylib )
      set( FIFOHISTOGRAMANA_MODULE  $ENV{LARANA_LIB}/libFIFOHistogramAna_module.dylib )
      set( FLASHCLUSTERMATCH_MODULE  $ENV{LARANA_LIB}/libFlashClusterMatch_module.dylib )
      set( FLASHHYPOTHESISANA_MODULE  $ENV{LARANA_LIB}/libFlashHypothesisAna_module.dylib )
      set( FLASHPURITYCHECKANA_MODULE  $ENV{LARANA_LIB}/libFlashPurityCheckAna_module.dylib )
      set( LEDCALIBRATIONANA_MODULE  $ENV{LARANA_LIB}/libLEDCalibrationAna_module.dylib )
      set( OPDIGIANA_MODULE  $ENV{LARANA_LIB}/libOpDigiAna_module.dylib )
      set( OPFLASHANA_MODULE  $ENV{LARANA_LIB}/libOpFlashAna_module.dylib )
      set( OPFLASHFINDER_MODULE  $ENV{LARANA_LIB}/libOpFlashFinder_module.dylib )
      set( OPFLASHMCTRUTHANA_MODULE  $ENV{LARANA_LIB}/libOpFlashMCTruthAna_module.dylib )
      set( OPFLASHSIMPLEANA_MODULE  $ENV{LARANA_LIB}/libOpFlashSimpleAna_module.dylib )
      set( OPHITANA_MODULE  $ENV{LARANA_LIB}/libOpHitAna_module.dylib )
      set( OPMCDIGI_MODULE  $ENV{LARANA_LIB}/libOpMCDigi_module.dylib )
      set( OPTDETDIGITIZER_MODULE  $ENV{LARANA_LIB}/libOptDetDigitizer_module.dylib )
      set( OPTICALRAWDIGITREFORMATTER_MODULE  $ENV{LARANA_LIB}/libOpticalRawDigitReformatter_module.dylib )
      set( OPTICALRECOANA_MODULE  $ENV{LARANA_LIB}/libOpticalRecoAna_module.dylib )
      set( PMTANA_MODULE  $ENV{LARANA_LIB}/libPMTAna_module.dylib )
      set( SIMPHOTONCOUNTER_MODULE  $ENV{LARANA_LIB}/libSimPhotonCounter_module.dylib )
      set( TRACKTIMEASSOC_MODULE  $ENV{LARANA_LIB}/libTrackTimeAssoc_module.dylib )
      set( TRACKTIMEASSOCANA_MODULE  $ENV{LARANA_LIB}/libTrackTimeAssocAna_module.dylib )
      set( DEFAULTOPDETRESPONSE_SERVICE  $ENV{LARANA_LIB}/libDefaultOpDetResponse_service.dylib )
      set( MICROBOONEOPDETRESPONSE_SERVICE  $ENV{LARANA_LIB}/libMicrobooneOpDetResponse_service.dylib )
      set( OPDIGIPROPERTIES_SERVICE  $ENV{LARANA_LIB}/libOpDigiProperties_service.dylib )
      set( PARTICLEIDENTIFICATION  $ENV{LARANA_LIB}/libParticleIdentification.dylib )
      set( CHI2PARTICLEID_MODULE  $ENV{LARANA_LIB}/libChi2ParticleID_module.dylib )
      set( PIDAANALYZER_MODULE  $ENV{LARANA_LIB}/libPIDAAnalyzer_module.dylib )
      set( COSMICREMOVAL  $ENV{LARANA_LIB}/libCosmicRemoval.dylib )
      set( BEAMFLASHTRACKMATCHTAGGER_MODULE  $ENV{LARANA_LIB}/libBeamFlashTrackMatchTagger_module.dylib )
      set( COSMICCLUSTERTAGGER_MODULE  $ENV{LARANA_LIB}/libCosmicClusterTagger_module.dylib )
      set( COSMICPCAXISTAGGER_MODULE  $ENV{LARANA_LIB}/libCosmicPCAxisTagger_module.dylib )
      set( COSMICPFPARTICLETAGGER_MODULE  $ENV{LARANA_LIB}/libCosmicPFParticleTagger_module.dylib )
      set( COSMICREMOVALANA_MODULE  $ENV{LARANA_LIB}/libCosmicRemovalAna_module.dylib )
      set( COSMICTRACKTAGGER_MODULE  $ENV{LARANA_LIB}/libCosmicTrackTagger_module.dylib )
      set( CRHITREMOVAL_MODULE  $ENV{LARANA_LIB}/libCRHitRemoval_module.dylib )
      set( CRHITREMOVALBYPCA_MODULE  $ENV{LARANA_LIB}/libCRHitRemovalByPCA_module.dylib )
      set( T0FINDER_MCTRUTHT0MATCHING_MODULE  $ENV{LARANA_LIB}/libT0Finder_MCTruthT0Matching_module.dylib )
      set( T0FINDER_PHOTONCOUNTERT0MATCHING_MODULE  $ENV{LARANA_LIB}/libT0Finder_PhotonCounterT0Matching_module.dylib )
      include_directories ( $ENV{LARANA_INC} )

check_required_components(larana)

